Summary: An interactive spelling checker program.
Name: ispell
Version: 3.1.20
Release: 30.1.rh%{rh_release}
Group: Applications/Text
License: GPL
URL: http://www.cs.hmc.edu/~geoff/ispell.html
Source0: ftp://prep.ai.mit.edu/pub/gnu/ispell-3.1.20.tar.gz
Source1: spell
Patch0: ispell-3.1.20-config.patch
Patch1: ispell-3.1.20-german.patch 
Patch3: ispell-3.1.20-termio.patch
Patch4: ispell-3.1.20-mask.patch
Patch5: ispell-3.1.20-strcmp.patch
Patch6: ispell-3.1.20-jbj.patch
Patch7: ispell-3.1.20-dict.patch
Patch9: ispell-3.1.20-grep.patch
Patch10: ispell.3121isohtml.patch
Patch11: ispell-3.1.20-enablehtmlpatch.patch 
Patch12: ispell-3.1.20-texlongspace.patch
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: ispell-dicts
BuildRequires: words

%description
Ispell is an interactive spelling checker.  Ispell can check text
files or standard input for spelling and typographical errors.  When
it finds a word that is not in the dictionary, it will suggest
correctly spelled words for the misspelled word. Ispell is faster and
easier to use than UNIX spell, and it can handle languages other than
English.

You should install ispell if you need a program for spell checking
(and who dosn't?).

%prep
%setup -q -n ispell-3.1 

mkdir dicts

%patch0 -p1
%patch1

%patch3 -p1 -b .termio

%ifarch alpha
%patch4 -p1 -b .mask
%endif

%patch5 -p1 -b .strcmp
%patch6 -p1 -b .jbj
%patch7 -p1 -b .dictpat

%patch9 -p1 -b .grep

%patch10 -p1 -b .isohtml
%patch11 -p1 -b .enablehtml
%patch12 -p1

%build

# Make config.sh first
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" config.sh
perl -pi -e "s/-O/$RPM_OPT_FLAGS -fexpensive-optimizations -fno-force-mem -pipe/" config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

install -c -m 0644 languages/fix8bit.c dicts/fix8bit.c
find dicts -name '*.dictpat' -exec rm -f {} \;

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/info

# Roll in the build-root'ed version (with time-stamp!)
rm -rf config.sh
ln config.sh.INSTALL config.sh
TMPDIR=/var/tmp PATH=.:$PATH LIBDIR=$RPM_BUILD_ROOT/usr/lib/ispell make install

mv $RPM_BUILD_ROOT/usr/info/ispell $RPM_BUILD_ROOT/usr/info/ispell.info
gzip -9nf $RPM_BUILD_ROOT/usr/info/ispell.info

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/usr/bin/spell

( cd $RPM_BUILD_ROOT
  ln -sf americanmed+.hash ./usr/lib/ispell/english.hash
)

mkdir $RPM_BUILD_ROOT/usr/share
tar cf - dicts | (cd $RPM_BUILD_ROOT/usr/share; tar xf -)

( cd $RPM_BUILD_ROOT/usr/share
  find dicts -name '*.cnt' -exec rm -f {} \;
  find dicts -name '*.stat' -exec rm -f {} \;
  find dicts -name '*.hash' -exec rm -f {} \;
)

#gzip man pages
gzip -9 $RPM_BUILD_ROOT/usr/man/man1/*
gzip -9 $RPM_BUILD_ROOT/usr/man/man5/*

#correct some permissions

chmod -R a+rX  $RPM_BUILD_ROOT/usr


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/buildhash
/usr/bin/findaffix
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/ispell
/usr/bin/munchlist
/usr/bin/spell
/usr/bin/sq
/usr/bin/tryaffix
/usr/bin/unsq

/usr/info/ispell.info.gz
/usr/man/man1/sq.1*
/usr/man/man1/buildhash.1*
/usr/man/man1/findaffix.1*
/usr/man/man1/ispell.1*
/usr/man/man1/munchlist.1*
/usr/man/man1/tryaffix.1*
/usr/man/man1/unsq.1*
/usr/man/man5/ispell.5*
/usr/man/man5/english.5*

%dir /usr/lib/ispell

/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed+.hash
/usr/lib/ispell/americanxlg.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed+.hash
/usr/lib/ispell/britishxlg.hash
/usr/lib/ispell/english.hash
/usr/lib/ispell/english.aff


%changelog
* Fri May 05 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Added patch to fix problem handling "\ " in tex-mode.

* Mon Apr 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Now obsoletes ispell-dicts

* Sun Apr 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Moved all dictionaries into separate SRPMs

* Wed Apr 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Added patch to handle html (use "-h") and ISO HTML-entities
  (http://www.nyx.net/~cmaarbj/ispell/), with some small changes.

* Mon Apr 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- gzipped man pages
- fixed some permission problems
- now uses /usr/share/dict instead of /usr/dict
- moved fix8bit from /usr/share to /usr/bin

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new ncurses
- BuildRequires emacs (used to generate some .elc file)
  (sigh... why can't everyone just use vi?? ;) )

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- add URL

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed

* Fri Nov 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- grep is in /bin, not /usr/bin
- removed lang(foo) from all language-specific packages.
- made the spell script a better clone of the old spell program.

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- sed is in /bin, not /usr/bin

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- build *.hash and *.aff from dicts not languages.
- better russian dictionary.

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- add British English and dictionaries.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
